Subject: Re: bug#64531: [PATCH v2] Add new command vc-dir-copy-filename-as-kill

From: Dmitry Gutov <[email-masked]>
Date: Sun, 20 Aug 2023 02:33:59 +0300

Hi Eli,

On 19/08/2023 11:06, Eli Zaretskii wrote:
> Dmitry, is this good to go in?

I'm good with the binding and the general functionality.

The difference from dired-copy-filename-as-kill in handing of the prefix 
argument looks unfortunate (as a principle), but I'd rather leave it for 
you to judge. Perhaps changing the latter command's interface would be a 
better choice; I'm not sure why it works that way.

Implementation difference: instead of going through (format "%S"), this 
one uses shell-quote-argument. Is that good enough for Windows systems?

And one more difference which we might want to see fixed:

   (When there's a single file, no quoting is done.)

It seems like, at least, in some usage scenarios users would prefer to 
have copied filename not quoted. E.g. for subsequent use with find-file 
or... something similar. I don't really use this command all that much, 
so maybe I'm mistaken here, though.